OperationalRiskException/Controllers/ConfigurationController.cs
using OperationalRiskException.AuditLogFilter;
using OperationalRiskException.AuthorizationFilter;
using OperationalRiskException.Core.Enums;
using OperationalRiskException.Core.ViewModels;
using OperationalRiskException.Services.Interfaces;
using OperationalRiskException.Services.Services;
using System.Threading.Tasks;
using System.Web.Mvc;

namespace OperationalRiskException.Controllers
{
    [CustomAuthorize(UserRoleEnum.OperationalRisk)]
    public class ConfigurationController : Controller
    {
        private IConfigurationService _configurationService;
        public ConfigurationController()
        {
            _configurationService = new ConfigurationService();
        }

        // GET: Configuration
        [LogActionFilter]
        public ActionResult Champion()
        {

           // var check = _configurationService.GetListOfDepartmentInNigeriaHO();
            return View();
        }

        public JsonResult Records(string country, bool checkHO )
        {
            var result = _configurationService.GetListOfDivision(country, checkHO);
            return Json(new
            {
                data = result
            }, JsonRequestBehavior.AllowGet);
        }
        public JsonResult RecordsByCountry(string country, bool checkHO)
        {
            var result = _configurationService.GetListOfDivision(country, checkHO);
            return Json(new
            {
                data = result
            }, JsonRequestBehavior.AllowGet);
        }

        public JsonResult AllUBACountriesExceptNG()
        {
            var result = _configurationService.GetAllUBACountriesExceptNG();
            return Json(new
            {
                data = result
            }, JsonRequestBehavior.AllowGet);
        }
        public JsonResult GetAllUserByDivision(string DivisionSOLID)
        {
            //string tesr=String.Format()
            var result = _configurationService.GetAllUBAStaffByDivision(DivisionSOLID);
            return Json(new
            {
                data = result
            }, JsonRequestBehavior.AllowGet);
        }
        public JsonResult GetAllUserByDepartment(string DepartmentSOLID)
        {
            //string tesr=String.Format()
            var result = _configurationService.GetListOfUBA(DepartmentSOLID);
            return Json(new
            {
                data = result
            }, JsonRequestBehavior.AllowGet);
        }
        public ActionResult GetUserDetail(int id)
        {

            var check = _configurationService.GetUserDetails(id);
            return View("_AddUser", check);
        }
        public async Task<JsonResult> GetAddUserAsync(HR_STAFF_USER user)
        {
            var result =await _configurationService.AddChampion(user);
            var message = result ? "Successfully Added " + user.username : 
                "Failed (Check your records whether the user existed or network problem) " + user.username;
            return Json(new
            {
                data = result,
                message,
            }, JsonRequestBehavior.AllowGet);
        }





    }
}

OperationalRiskException/Controllers/OperationalRiskController.cs
using NLog;
using OperationalRiskException.AuditLogFilter;
using OperationalRiskException.Core.ViewModels;
using OperationalRiskException.Services.Interfaces;
using OperationalRiskException.Services.Services;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace OperationalRiskException.Controllers
{
    public class OperationalRiskController : Controller
    {
        private static readonly Logger _loggerInfo = LogManager.GetCurrentClassLogger();
        // GET: OperationalRisk
        private IAssessmentPortalServices _assessmentPortalServices;
        private IDashboardService _dashboardService;

        public OperationalRiskController()
        {
            _assessmentPortalServices = new AssessmentPortalServices();
            _dashboardService = new DashboardService();
        }
        [LogActionFilter]
        public ActionResult Index()
        {
           var totalScore= _assessmentPortalServices.GetAllScores();
            return View(totalScore);
        }
        [LogActionFilter]
        public ActionResult UserScript(int userId, int SetupId)
        {
            var binder = new ScriptVM() {
                UserId=userId,
                SetupId=SetupId
            };

            return View(binder);
        }

        public ActionResult Dashboard()
        {
            var result = _dashboardService.DashBoard();
            return Json(new
            {
                data = result
            }, JsonRequestBehavior.AllowGet);

        }
        public ActionResult GetUserRecords(int userId, int setupId)
        {
            var result = _assessmentPortalServices.GetAllSavedAssessments(userId,  setupId);
            return Json(new
            {
                data = result
            }, JsonRequestBehavior.AllowGet);

        }
        public ActionResult UserCorrectivePlan(int userId, int SetupId)
        {

            var allRecords = _assessmentPortalServices.getAllCorrectivePlan(userId, SetupId);
            var binder = new ScriptVM()
            {
                UserId = userId,
                SetupId = SetupId,
                Plans=allRecords,
            };

            return View(binder);
        }
        public ActionResult GetUserCorrectiveRecords(int userId, int setupId)
        {
            var result = _assessmentPortalServices.GetAllSavedAssessments(userId, setupId);
            return Json(new
            {
                data = result
            }, JsonRequestBehavior.AllowGet);

        }


        public ActionResult UserGuide()
        {
            return View();
        }

    }
}

OperationalRiskException/Controllers/QuestionController.cs
using Newtonsoft.Json;
using NLog;
using OperationalRiskException.AuditLogFilter;
using OperationalRiskException.AuthorizationFilter;
using OperationalRiskException.Core.DataTableModels;
using OperationalRiskException.Core.Enums;
using OperationalRiskException.Core.Helpers;
using OperationalRiskException.Core.ViewModels;
using OperationalRiskException.Services.Interfaces;
using OperationalRiskException.Services.Services;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Threading.Tasks;
using System.Web;
using System.Web.Mvc;

namespace OperationalRiskException.Controllers
{
	[CustomAuthorize(UserRoleEnum.OperationalRisk)]
	public class QuestionController : Controller
	{
		// GET: Question
		private readonly IQuestionCategoryService  _questionCategory;
		private readonly IQuestionService _question;
		private static readonly Logger _loggerInfo = LogManager.GetCurrentClassLogger();

		public QuestionController()
		{
			_questionCategory = new QuestionCategoryService();
			_question = new QuestionService();
		}


		//--Question Categore features--
		[LogActionFilter]
		public ActionResult QCategoryPage()
		{
			
			return View();
		}
		[LogActionFilter]
		public ActionResult QuestionPendingRequest()
		{
			return View();
		}
		[HttpPost]
		[LogActionFilter]
		public async Task<ActionResult> QCategoryPage(QuestionCategoryVM model)
		{
			if (ModelState.IsValid)
			{
				
			   var checker= await _questionCategory.AddQuestionCategory(model);
				if (checker)
				{
					TempData["CreateCat"] = "Question Category  created successfully";
					return View();
				}
				else
					TempData["Failed"] = "Question Category Name already existed";
			}


			// this did not work
			//model.CategoriesName = _questionCategory.GetQuestionCat()
			return View(model);
		}

		



		

		public JsonResult GetAllQuestionCategories(DataTableAjaxPostModel model)
		{
			int filteredResultsCount;
			int totalResultsCount;
			var result = _questionCategory.GetAllQuestionCategoriesDataTable(model, out filteredResultsCount, out totalResultsCount);
			return Json(new
			{
				model.draw,
				recordsTotal = totalResultsCount,
				recordsFiltered = filteredResultsCount,
				data=result
			}, JsonRequestBehavior.AllowGet);
		}

		public async Task<ActionResult> UpdateQCategory(int Id)
		{
			var getQc =await _questionCategory.GetSingleQuestionCategory(Id);
			return View(getQc);
		}

		[HttpPost]

		// this needs to be changed to UpdateQCategory from UpdateQCategoryAsync
		public async Task<ActionResult> UpdateQCategory(QuestionCategoryVM model)
		{
			bool status = false;
			if (ModelState.IsValid)
			{
			 status=  await _questionCategory.UpdateQuestionCategory(model);
			}
			return new JsonResult { Data = new { status } };
		 
		}

		public async Task<ActionResult> DeleteQCategory(int Id)
		{
			var getQc = await _questionCategory.GetSingleQuestionCategory(Id);
			return View(getQc);
		}
		[HttpPost]
		public ActionResult DeleteQCategory(QuestionCategoryVM categoryVM)
		{
			
			var getQc =  _questionCategory.DeleteQuestionCategory(categoryVM.CategoryId);
		   return new JsonResult { Data = new { status = getQc == 1} };
		}

		[LogActionFilter]
		public ActionResult QuestionPage()
		{
			ViewBag.Categories = _questionCategory.GetAllQuestionCategories();
			return View();
		}

		[HttpPost]
		public async Task<ActionResult> QuestionPage(QuestionVM model)
		{
			model.CreateUser = Username();
			ViewBag.Categories = _questionCategory.GetAllQuestionCategories();
			if (ModelState.IsValid)
			{
				if (model.QuestionType == QuestionTypeEnum.Options)
				{
					if (String.IsNullOrEmpty(model.AnswerTextA))
					{

						string errorMessage = "There is no Option text (A), Kindly fill the option text A ";
						TempData["FailedQuest"] = errorMessage;
						ModelState.AddModelError("AnswerTextA", errorMessage);
						return View(model);
						//TempData["FailedQuest"] = "There is no Option text (A), Kindly fill the option text A  ";
					

					}
					if (String.IsNullOrEmpty(model.AnswerTextB))
					{

						string errorMessage = "There is no Option text (B), Kindly fill the option text B";
						TempData["FailedQuest"] = errorMessage;
						ModelState.AddModelError("AnswerTextB", errorMessage);
						return View(model);

					}
					if (String.IsNullOrEmpty(model.AnswerTextC))
					{

						string errorMessage = "There is no Option text (C), Kindly fill the option text C ";
						TempData["FailedQuest"] = errorMessage;
						ModelState.AddModelError("AnswerTextC", errorMessage);
						return View(model);

					}
					if (String.IsNullOrEmpty(model.AnswerTextD))
					{

						string errorMessage = "There is no Option text (D), Kindly fill the option text D ";
						TempData["FailedQuest"] = errorMessage;
						ModelState.AddModelError("AnswerTextD", errorMessage);
						return View(model);

					}


				}

				var validation = await _question.GetValidation(model.QuestionText);
				if (!validation)
				{
					string errorMessage = "The question text already exist on the Portal";
					TempData["FailedQuest"] = errorMessage;
					return View(model);
				}
			
				var checkSave = await _question.AddQuestion(model);
				if (checkSave)
				{
					TempData["CreateQuest"] = "Question created successfully, It will be pending approval";
					//model.QuestionText = String.Empty;
					return View();
				}
				else
				{
					TempData["FailedQuest"] = "Error in adding question, Pls, Contact the admin";
					return View();
				}
				//TempData["CreateCat"] = "Question Category created successfully";
			}
			return View(model);
		}





		public JsonResult GetAllQuestions(DataTableAjaxPostModel model)
		{
			int filteredResultsCount;
			int totalResultsCount;
			var result = _question.GetAllQuestionDataTable(model, out filteredResultsCount, out totalResultsCount, Core.Entities.ApprovalStatus.Approved);
			return Json(new
			{
				model.draw,
				recordsTotal = totalResultsCount,
				recordsFiltered = filteredResultsCount,
				data = result
			}, JsonRequestBehavior.AllowGet);
		}
		public JsonResult Pending(DataTableAjaxPostModel model)
		{
			int filteredResultsCount;
			int totalResultsCount;

			var result = _question.GetAllQuestionDataTablePending(model, out filteredResultsCount, out totalResultsCount, Username(), Core.Entities.ApprovalStatus.Pending);
			return Json(new
			{
				model.draw,
				recordsTotal = totalResultsCount,
				recordsFiltered = filteredResultsCount,
				data = result
			}, JsonRequestBehavior.AllowGet);
		}
		public async Task<ActionResult> UpdateQuestion(int Id)
		{
			ViewBag.Categories = _questionCategory.GetAllQuestionCategories();

			var getQc = await _question.GetQuestion(Id);
			return View(getQc);
		}

		[HttpPost]
		public async Task<ActionResult> UpdateQuestion(QuestionVM model)
		{
			bool status = false;
			model.CreateUser = Username();
			if (ModelState.IsValid)
			{
				try
				{
					var updateStatus= await _question.UpdateQuestion(model);
					status = updateStatus;
					
				}
				catch (Exception ex) {
				}
			}
			return new JsonResult { Data = new { status = status } };

		}

		public async Task<ActionResult> UpdateQuestionNumeric(int Id)
		{
			ViewBag.Categories = _questionCategory.GetAllQuestionCategories();

			var getQc = await _question.GetQuestion(Id);
			return View(getQc);
		}

		[HttpPost]
		public async Task<ActionResult> UpdateQuestionNumeric(QuestionVM model)
		{
			bool status = false;
			model.CreateUser = Username();
			if (ModelState.IsValid)
			{
				try
				{
					var updateStatus = await _question.UpdateQuestion(model);
					status = updateStatus;

				}
				catch (Exception ex)
				{
				}
			}
			return new JsonResult { Data = new { status = status } };

		}
		public async Task<ActionResult> UpdateQuestionOption(int Id)
		{
			ViewBag.Categories = _questionCategory.GetAllQuestionCategories();

			var getQc = await _question.GetQuestion(Id);
			return View(getQc);
		}

		[HttpPost]
		public async Task<ActionResult> UpdateQuestionOption(QuestionVM model)
		{
			bool status = false;
			model.CreateUser = Username();
			if (ModelState.IsValid)
			{
				try
				{
					if (model.QuestionType == QuestionTypeEnum.Options)
					{
						if (String.IsNullOrEmpty(model.AnswerTextA))
						{

							string errorMessage = "There is no Option text (A), Kindly fill the option text A ";
							TempData["FailedQuest"] = errorMessage;
							ModelState.AddModelError("AnswerTextA", errorMessage);
							return View(model);
							//TempData["FailedQuest"] = "There is no Option text (A), Kindly fill the option text A  ";


						}
						if (String.IsNullOrEmpty(model.AnswerTextB))
						{

							string errorMessage = "There is no Option text (B), Kindly fill the option text B";
							TempData["FailedQuest"] = errorMessage;
							ModelState.AddModelError("AnswerTextB", errorMessage);
							return View(model);

						}
						if (String.IsNullOrEmpty(model.AnswerTextC))
						{

							string errorMessage = "There is no Option text (C), Kindly fill the option text C ";
							TempData["FailedQuest"] = errorMessage;
							ModelState.AddModelError("AnswerTextC", errorMessage);
							return View(model);

						}
						if (String.IsNullOrEmpty(model.AnswerTextD))
						{

							string errorMessage = "There is no Option text (D), Kindly fill the option text D ";
							TempData["FailedQuest"] = errorMessage;
							ModelState.AddModelError("AnswerTextD", errorMessage);
							return View(model);

						}


					}


					var updateStatus = await _question.UpdateQuestion(model);
					status = updateStatus;

				}
				catch (Exception ex)
				{
				}
			}
			return new JsonResult { Data = new { status = status } };

		}
		public async Task<ActionResult> DeleteQuestion(int Id)
		{
			var getQc = await _question.GetQuestion(Id);
			return View(getQc);
		}
		[HttpPost]
		public async Task<ActionResult> DeleteQuestion(QuestionVM question)
		{

OperationalRiskException/Controllers/ReportController.cs
using OperationalRiskException.Services.Services;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using static OperationalRiskException.Core.ViewModels.ReportDisplays;

namespace OperationalRiskException.Controllers
{
    public class ReportController : Controller
    {
        // GET: Report
        private IReportingService _report;
        public ReportController()
        {
            _report = new ReportingService();
        }
       
        public ActionResult Index()
        {
            var data = _report.GetApprovalWorkflowDetails();
            return View(data);
        }
        [HttpGet]
        public ActionResult ViewByDept(string dept)
        {
            ViewBag.Dept = dept;
            var data = _report.ViewResultsByDepartment(dept);
            return View(data);
        }


        [HttpPost]
        public ActionResult Index(ReportRequest _params)
        {
            var data = _report.GetApprovalWorkflowDetails();
            return View(data);
        }

    }
}

OperationalRiskException/Views/Shared/_HeaderView.cshtml
<nav class="navbar col-lg-12 col-12 p-0 fixed-top d-flex flex-row">
    <div class="navbar-brand-wrapper d-flex justify-content-center">
        <div class="navbar-brand-inner-wrapper d-flex justify-content-between align-items-center w-100">
            <a class="navbar-brand brand-logo" href="index.html"><img src="~/Content/images/uba_logo_red.svg" alt="logo" /></a>
            <a class="navbar-brand brand-logo-mini" href="index.html"><img src="~/Content/images/uba_logo_red.svg" alt="logo" /></a>
            <button class="navbar-toggler navbar-toggler align-self-center" type="button" data-toggle="minimize">
                <span class="mdi mdi-sort-variant"></span>
            </button>
        </div>
    </div>
    <div class="navbar-menu-wrapper d-flex align-items-center justify-content-end">
        <ul class="navbar-nav mr-lg-4 w-100">
            <li class="nav-item nav-search d-none d-lg-block w-100">
                <p style="text-align:center"> OPERATIONAL RISK - KRI</p>
            </li>
        </ul>
        <ul class="navbar-nav navbar-nav-right">
           
            <li class="nav-item nav-profile dropdown">
                <a class="nav-link dropdown-toggle" href="#" data-toggle="dropdown" id="profileDropdown">
                    <i class="mdi mdi-account menu-icon"></i>
                    <span class="nav-profile-name">
                        @{
                            string  User_Name = Request.Cookies["Username"]?.Value;
                         }
                       @User_Name
                    </span>
                </a>
                <div class="dropdown-menu dropdown-menu-right navbar-dropdown" aria-labelledby="profileDropdown">

                    <a class="dropdown-item" href="@Url.Action("Logout", "Account")">
                        <i class="mdi mdi-logout text-primary"></i>
                        Logout
                    </a>
                </div>
            </li>
        </ul>
        <button class="navbar-toggler navbar-toggler-right d-lg-none align-self-center" type="button" data-toggle="offcanvas">
            <span class="mdi mdi-menu"></span>
        </button>
    </div>
</nav>

OperationalRiskException/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>@ViewBag.Title   </title>

    @Scripts.Render("~/bundles/modernizr")

    <!-- plugins:css -->
    <link rel="stylesheet" href="~/Content/vendors/mdi/css/materialdesignicons.min.css">
    <link rel="stylesheet" href="~/Content/vendors/base/vendor.bundle.base.css">
    <!-- endinject -->
    <!-- plugin css for this page -->
    <link rel="stylesheet" href="~/Content/vendors/datatables.net-bs4/dataTables.bootstrap4.css">
    <!-- End plugin css for this page -->
    <!-- inject:css -->
    <link rel="stylesheet" href="~/Content/css/style.css">

    <link rel="stylesheet" href="~/Content/select2/select2.min.css">
    <!-- endinject -->
    <link rel="shortcut icon" href="images/favicon.png" />
    <link rel="stylesheet" href="~/Content/css/jquery-ui.min.css">
    @Scripts.Render("~/bundles/jquery")
    @Scripts.Render("~/bundles/jqueryval")
    <link rel="stylesheet" href="~/Content/Site.css">
    <link rel="stylesheet" href="~/Content/css/toastr.css">

</head>


<body>
    <div class="container-scroller">
        <div class="loader"></div>
        @Html.Partial("_HeaderView")
        <div class="container-fluid page-body-wrapper">
            @Html.Partial("_SideBarView")
            <div class="main-panel">
                <div class="content-wrapper">
                    @RenderBody()
                </div>
                <footer class="footer">
                    <div class="d-sm-flex justify-content-center justify-content-sm-between">
                        <span class="text-muted text-center text-sm-left d-block d-sm-inline-block">Copyright © 2020 <a href="https://www.ubagroup.com/" target="_blank">UBA Group</a>. All rights reserved.</span>
                    </div>
                </footer>
            </div>
        </div>
    </div>

    @Scripts.Render("~/bundles/bootstrap")

    <script src="~/Content/vendors/base/vendor.bundle.base.js"></script>
    <script src="~/Scripts/select2/select2.js"></script>
    <script src="~/Scripts/js/toastr.js"></script>

    <!-- endinject -->
    <!-- Plugin js for this page-->

    <script src="~/Content/vendors/chart.js/Chart.min.js"></script>
    <script src="~/Content/vendors/datatables.net/jquery.dataTables.js"></script>
    <script src="~/Content/vendors/datatables.net-bs4/dataTables.bootstrap4.js"></script>
    <!-- End plugin js for this page-->
    <!-- inject:js -->
    <script src="~/Scripts/js/off-canvas.js"></script>
    <script src="~/Scripts/js/hoverable-collapse.js"></script>
    <script src="~/Scripts/js/template.js"></script>
    <!-- endinject -->
    <!-- Custom js for this page-->
    <script src="~/Scripts/js/dashboard.js"></script>
    <script src="~/Scripts/js/data-table.js"></script>
    <script src="~/Scripts/js/jquery.dataTables.js"></script>
    <script src="~/Scripts/js/dataTables.bootstrap4.js"></script>
    <script src="~/Scripts/js/file-upload.js"></script>
    <script src="~/Scripts/js/loader.js"></script>

    @Scripts.Render("~/bundles/jquery-ui")
</body>
</html>

OperationalRiskException/Views/Shared/_LoginLayout.cshtml
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>@ViewBag.Title Operational Risk</title>

    @Scripts.Render("~/bundles/modernizr")
        <link rel="stylesheet" href="~/Content/vendors/mdi/css/materialdesignicons.min.css">
    <link rel="stylesheet" href="~/Content/vendors/base/vendor.bundle.base.css">
    <link rel="stylesheet" href="~/Content/css/style.css">
    <link rel="stylesheet" href="~/Content/Login.css">
</head>
<body>

    <div class="container body-content">
        @RenderBody()
       
    </div>

    @Scripts.Render("~/bundles/jquery")
    @Scripts.Render("~/bundles/bootstrap")
    @RenderSection("scripts", required: false)
</body>
</html>

OperationalRiskException/Views/Shared/_SideBarTest.cshtml
<nav class="sidebar sidebar-offcanvas" id="sidebar">
    <ul class="nav">
        <li class="nav-item">
            <a class="nav-link" href="#">
                <i class="mdi mdi-home menu-icon"></i>
                <span class="menu-title">Dashboard</span>
            </a>
        </li>
    </ul>
</nav>

OperationalRiskException/Views/Shared/_SideBarView.cshtml
<nav class="sidebar sidebar-offcanvas" id="sidebar">
    <ul class="nav">
        <li class="nav-item">
            <a class="nav-link" href="#">
                <i class="mdi mdi-home menu-icon"></i>
                <span class="menu-title">Dashboard</span>
            </a>
        </li>
        <li class="nav-item">
            <a class="nav-link" data-toggle="collapse" href="#ui-basic" aria-expanded="false" aria-controls="ui-basic">
                <i class="mdi mdi-account menu-icon menu-icon"></i>
                <span class="menu-title">User Pages</span>
                <i class="menu-arrow"></i>
            </a>
            <div class="collapse" id="ui-basic">
                <ul class="nav flex-column sub-menu">
                    <li class="nav-item"> <a class="nav-link" href='@Url.Action( "AddUser","Account")'>ADD Users</a></li>
                
                </ul>
            </div>
        </li>
       
    </ul>
</nav>

OperationalRiskException/Views/Shared/_SideBarViewProcessor.cshtml
<nav class="sidebar sidebar-offcanvas" id="sidebar">
    <ul class="nav">
        <li class="nav-item">
            <a class="nav-link" data-toggle="collapse" href="#ui-basic" aria-expanded="false" aria-controls="ui-basic">
                <i class="mdi mdi-account menu-icon menu-icon"></i>
                <span class="menu-title">OperationalRisk Portal </span>
                <i class="menu-arrow"></i>
            </a>
            <div class="collapse" id="ui-basic">
                <ul class="nav flex-column sub-menu">
                    <li class="nav-item"> <a class="nav-link" href='https://apps-automation.ubagroup.com/operationalrisk'> RCSA</a></li>
                    <li class="nav-item"> <a class="nav-link" href='https://apps-automation.ubagroup.com/BCP'> BCP </a></li>

                   
                </ul>
            </div>
        </li>


        <li class="nav-item">
            <a class="nav-link" href='@Url.Action( "index","OperationalRisk")'>
                <i class="mdi mdi-home menu-icon"></i>
                <span class="menu-title">Dashboard</span>
            </a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href='@Url.Action( "index","Report")'>
                <i class="mdi mdi-home menu-icon"></i>
                <span class="menu-title">Report</span>
            </a>
        </li>

       
        <li class="nav-item">
            <a class="nav-link" data-toggle="collapse" href="#ui-basic" aria-expanded="false" aria-controls="ui-basic">
                <i class="mdi mdi-account menu-icon menu-icon"></i>
                <span class="menu-title">Question Management </span>
                <i class="menu-arrow"></i>
            </a>
            <div class="collapse" id="ui-basic">
                <ul class="nav flex-column sub-menu">
                    <li class="nav-item"> <a class="nav-link" href='@Url.Action( "QCategoryPage","Question")'> Categories</a></li>
                    <li class="nav-item"> <a class="nav-link" href='@Url.Action( "QuestionPage","Question")'> Add/View Questions </a></li>
                    @*<li class="nav-item"> <a class="nav-link" href='@Url.Action( "QuestionPage2","Question")'> Add/View Questions STR </a></li>*@
                    @*<li class="nav-item"> <a class="nav-link" href='@Url.Action( "UploadQuestion","Question")'> Upload Questions </a></li>*@
                    <li class="nav-item"> <a class="nav-link" href='@Url.Action( "QuestionPendingRequest","Question")'>  Questions Approval</a></li>
                </ul>
            </div>
        </li>
        <li class="nav-item">
            <a class="nav-link" data-toggle="collapse" href="#ui-basic" aria-expanded="false" aria-controls="ui-basic">
                <i class="mdi mdi-account-box menu-icon menu-icon"></i>
                <span class="menu-title">Configuration Management </span>
                <i class="menu-arrow"></i>
            </a>
            <div class="collapse" id="ui-basic">
                <ul class="nav flex-column sub-menu">
                    <li class="nav-item"> <a class="nav-link" href='@Url.Action( "Champion","Configuration")'>Champion Setup </a></li>
                    <li class="nav-item"> <a class="nav-link" href='@Url.Action( "Index","AssessmentSetup")'>Assessment Setup </a></li>
                    <li class="nav-item"> <a class="nav-link" href='@Url.Action( "Home","AssessmentScheduling")'>Assessment Scheduling </a></li>
                </ul>
            </div>
        </li>

        <li class="nav-item">
            <a class="nav-link" href='@Url.Action( "UserGuide","OperationalRisk")'>
                <i class="mdi mdi-download menu-icon"></i>
                <span class="menu-title">User Guide</span>
            </a>
        </li>


    </ul>
</nav>